sha256:fe2bea1f5371d01083c21622eb0ef0d1425609d9acaa575c471e5df1c97bd2d3
2023-03-23 13:46:57 UTC
341 MB
A035C8C19219BA821ECEA86B64E628F8D684696D
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256394be00f13fa1b9aaa47e911bdb59a09c3b2986472130f30aa0bfaf7f3980637
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/d5cb0afaf23b8520f1bbcfed521017b4a95f5c01/public/get-pip.py
PYTHON_PIP_VERSION22.3.1
PYTHON_SETUPTOOLS_VERSION65.5.1
PYTHON_VERSION3.11.2
[#000] sha256:c1bb878cff31d37952c5c73ed15c167f599bb7f97b3eeaa1a17352b2473b3394 - 15.67% (53.4 MB)
[#001] sha256:dfb49b37bb40497ba503cfdfd4d3835c15c09b5d63b2c0ae0e955d449abd0382 - 1.48% (5.05 MB)
[#002] sha256:0a0818bf9e1a1c115af7736f4509cfd0ec35b366f341130156f48e64a89d7e19 - 3.15% (10.7 MB)
[#003] sha256:02db5ed4065161ad85308e48d48bc6104392f259ddc7d2864075ad5705e95862 - 15.64% (53.3 MB)
[#004] sha256:83d20da4060bf4c77e5920d4528c4eb19ddbb5f4ff1621172dfdf8b09da17c7f - 55.87% (190 MB)
[#005] sha256:7b91f067c7cf56e7f0d1040696c2c1f08d6da02079c4bacb4c4621c4710bafe8 - 1.87% (6.37 MB)
[#006] sha256:d8d72d7fd21576c28bd0f6ca3175d731f79ba8963d166d706a1f9b99841caa35 - 5.46% (18.6 MB)
[#007] sha256:1846210cb83e3c68c99514be74ad445bee2419693106caed2397ade1dee0ca7d - 0.0% (244 Bytes)
[#008] sha256:b3b8fb4c80a82abababa6e5151a386ee1b203ef3656b5c432e35808444b93b4b - 0.86% (2.94 MB)
/bin/sh -c #(nop) ADD file:f331251c4c21fceff56d13f76442a6334dc355c29ec7450768c1c86a3db1adab in /
2023-03-23 00:39:09 UTC/bin/sh -c #(nop) CMD ["bash"]
2023-03-23 13:45:31 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2023-03-23 13:45:37 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2023-03-23 13:45:58 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2023-03-23 13:46:57 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2023-03-23 13:46:57 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-03-23 13:46:57 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2023-03-23 13:46:57 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev ; rm -rf /var/lib/apt/lists/* # buildkit
2023-03-23 13:46:57 UTC (buildkit.dockerfile.v0)ENV GPG_KEY=A035C8C19219BA821ECEA86B64E628F8D684696D
2023-03-23 13:46:57 UTC (buildkit.dockerfile.v0)ENV PYTHON_VERSION=3.11.2
2023-03-23 13:46:57 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz"; wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc"; GNUPGHOME="$(mktemp -d)"; export GNUPGHOME; gpg --batch --keyserver hkps://keys.openpgp.org --recv-keys "$GPG_KEY"; gpg --batch --verify python.tar.xz.asc python.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all || :; rm -rf "$GNUPGHOME" python.tar.xz.asc; mkdir -p /usr/src/python; tar --extract --directory /usr/src/python --strip-components=1 --file python.tar.xz; rm python.tar.xz; cd /usr/src/python; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-lto --with-system-expat --without-ensurepip ; nproc="$(nproc)"; EXTRA_CFLAGS="$(dpkg-buildflags --get CFLAGS)"; LDFLAGS="$(dpkg-buildflags --get LDFLAGS)"; make -j "$nproc" "EXTRA_CFLAGS=${EXTRA_CFLAGS:-}" "LDFLAGS=${LDFLAGS:-}" "PROFILE_TASK=${PROFILE_TASK:-}" ; rm python; make -j "$nproc" "EXTRA_CFLAGS=${EXTRA_CFLAGS:-}" "LDFLAGS=${LDFLAGS:--Wl},-rpath='\$\$ORIGIN/../lib'" "PROFILE_TASK=${PROFILE_TASK:-}" python ; make install; bin="$(readlink -ve /usr/local/bin/python3)"; dir="$(dirname "$bin")"; mkdir -p "/usr/share/gdb/auto-load/$dir"; cp -vL Tools/gdb/libpython.py "/usr/share/gdb/auto-load/$bin-gdb.py"; cd /; rm -rf /usr/src/python; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name 'libpython*.a' \) \) \) -exec rm -rf '{}' + ; ldconfig; python3 --version # buildkit
2023-03-23 13:46:57 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; for src in idle3 pydoc3 python3 python3-config; do dst="$(echo "$src" | tr -d 3)"; [ -s "/usr/local/bin/$src" ]; [ ! -e "/usr/local/bin/$dst" ]; ln -svT "$src" "/usr/local/bin/$dst"; done # buildkit
2023-03-23 13:46:57 UTC (buildkit.dockerfile.v0)ENV PYTHON_PIP_VERSION=22.3.1
2023-03-23 13:46:57 UTC (buildkit.dockerfile.v0)ENV PYTHON_SETUPTOOLS_VERSION=65.5.1
2023-03-23 13:46:57 UTC (buildkit.dockerfile.v0)ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/d5cb0afaf23b8520f1bbcfed521017b4a95f5c01/public/get-pip.py
2023-03-23 13:46:57 UTC (buildkit.dockerfile.v0)ENV PYTHON_GET_PIP_SHA256=394be00f13fa1b9aaa47e911bdb59a09c3b2986472130f30aa0bfaf7f3980637
2023-03-23 13:46:57 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum -c -; export PYTHONDONTWRITEBYTECODE=1; python get-pip.py --disable-pip-version-check --no-cache-dir --no-compile "pip==$PYTHON_PIP_VERSION" "setuptools==$PYTHON_SETUPTOOLS_VERSION" ; rm -f get-pip.py; pip --version # buildkit
2023-03-23 13:46:57 UTC (buildkit.dockerfile.v0)CMD ["python3"]
sha256:df3e9d105d6c5f8aa4410ba84b570db5f9fefbf14020b70fb63c8e7c32e51fb0
2023-03-23 06:02:39 UTC
336 MB
A035C8C19219BA821ECEA86B64E628F8D684696D
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256394be00f13fa1b9aaa47e911bdb59a09c3b2986472130f30aa0bfaf7f3980637
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/d5cb0afaf23b8520f1bbcfed521017b4a95f5c01/public/get-pip.py
PYTHON_PIP_VERSION22.3.1
PYTHON_SETUPTOOLS_VERSION65.5.1
PYTHON_VERSION3.11.2
[#000] sha256:3e440a7045683e27f8e2fa04000e0e078d8dfac0c971358ae0f8c65c13321c8e - 15.64% (52.5 MB)
[#001] sha256:68a71c865a2c34678c6dea55e4b0928f751ee3c0ca91cace6e4e0578c534d6cf - 1.47% (4.93 MB)
[#002] sha256:670730c27c2eacf07897a6e94fe55423ea50b884d9c28161a283bbbf064d1124 - 3.09% (10.4 MB)
[#003] sha256:5a7a2c95f0f8b221d776ccf35911b68eec2cf9414a44d216205a6f03e381d3d7 - 15.51% (52.1 MB)
[#004] sha256:6d627e120214bb28a729d4b54a0ecba4c4aeaf0295ca2d1f129480145fad2af6 - 55.93% (188 MB)
[#005] sha256:f8c6dc6780819f5eb5a6ee84ce72dd613d5e6c406585211a064b6ef641c8a09a - 1.79% (6 MB)
[#006] sha256:48bd2de548fc487bbcf51e8ae99969d4ac77e412c4fcec68bc529bca2ad304b3 - 5.7% (19.1 MB)
[#007] sha256:e69bcee2d3143195eac279932a0692697b7e3905bed8c737f1cc7f237899ea05 - 0.0% (244 Bytes)
[#008] sha256:284a2f2376093ba00b09f539e56047dc168703a78095640a178b8e0c5450f460 - 0.88% (2.94 MB)
/bin/sh -c #(nop) ADD file:459d1e92eb8c24ff4758f974d289ca8a2abe04cf50b6fe2bd760aa4589478289 in /
2023-03-23 01:30:15 UTC/bin/sh -c #(nop) CMD ["bash"]
2023-03-23 06:01:27 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2023-03-23 06:01:32 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2023-03-23 06:01:49 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2023-03-23 06:02:39 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2023-03-23 06:02:39 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-03-23 06:02:39 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2023-03-23 06:02:39 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev ; rm -rf /var/lib/apt/lists/* # buildkit
2023-03-23 06:02:39 UTC (buildkit.dockerfile.v0)ENV GPG_KEY=A035C8C19219BA821ECEA86B64E628F8D684696D
2023-03-23 06:02:39 UTC (buildkit.dockerfile.v0)ENV PYTHON_VERSION=3.11.2
2023-03-23 06:02:39 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz"; wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc"; GNUPGHOME="$(mktemp -d)"; export GNUPGHOME; gpg --batch --keyserver hkps://keys.openpgp.org --recv-keys "$GPG_KEY"; gpg --batch --verify python.tar.xz.asc python.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all || :; rm -rf "$GNUPGHOME" python.tar.xz.asc; mkdir -p /usr/src/python; tar --extract --directory /usr/src/python --strip-components=1 --file python.tar.xz; rm python.tar.xz; cd /usr/src/python; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-lto --with-system-expat --without-ensurepip ; nproc="$(nproc)"; EXTRA_CFLAGS="$(dpkg-buildflags --get CFLAGS)"; LDFLAGS="$(dpkg-buildflags --get LDFLAGS)"; make -j "$nproc" "EXTRA_CFLAGS=${EXTRA_CFLAGS:-}" "LDFLAGS=${LDFLAGS:-}" "PROFILE_TASK=${PROFILE_TASK:-}" ; rm python; make -j "$nproc" "EXTRA_CFLAGS=${EXTRA_CFLAGS:-}" "LDFLAGS=${LDFLAGS:--Wl},-rpath='\$\$ORIGIN/../lib'" "PROFILE_TASK=${PROFILE_TASK:-}" python ; make install; bin="$(readlink -ve /usr/local/bin/python3)"; dir="$(dirname "$bin")"; mkdir -p "/usr/share/gdb/auto-load/$dir"; cp -vL Tools/gdb/libpython.py "/usr/share/gdb/auto-load/$bin-gdb.py"; cd /; rm -rf /usr/src/python; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name 'libpython*.a' \) \) \) -exec rm -rf '{}' + ; ldconfig; python3 --version # buildkit
2023-03-23 06:02:39 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; for src in idle3 pydoc3 python3 python3-config; do dst="$(echo "$src" | tr -d 3)"; [ -s "/usr/local/bin/$src" ]; [ ! -e "/usr/local/bin/$dst" ]; ln -svT "$src" "/usr/local/bin/$dst"; done # buildkit
2023-03-23 06:02:39 UTC (buildkit.dockerfile.v0)ENV PYTHON_PIP_VERSION=22.3.1
2023-03-23 06:02:39 UTC (buildkit.dockerfile.v0)ENV PYTHON_SETUPTOOLS_VERSION=65.5.1
2023-03-23 06:02:39 UTC (buildkit.dockerfile.v0)ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/d5cb0afaf23b8520f1bbcfed521017b4a95f5c01/public/get-pip.py
2023-03-23 06:02:39 UTC (buildkit.dockerfile.v0)ENV PYTHON_GET_PIP_SHA256=394be00f13fa1b9aaa47e911bdb59a09c3b2986472130f30aa0bfaf7f3980637
2023-03-23 06:02:39 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum -c -; export PYTHONDONTWRITEBYTECODE=1; python get-pip.py --disable-pip-version-check --no-cache-dir --no-compile "pip==$PYTHON_PIP_VERSION" "setuptools==$PYTHON_SETUPTOOLS_VERSION" ; rm -f get-pip.py; pip --version # buildkit
2023-03-23 06:02:39 UTC (buildkit.dockerfile.v0)CMD ["python3"]
sha256:b7b4d5c27b7af215cbc881f75fc197f64f58a01d7c44d6ddec17da501f8c37f5
2023-03-16 07:52:24 UTC
1.65 GB
UTF-8
PYTHON_GET_PIP_SHA256394be00f13fa1b9aaa47e911bdb59a09c3b2986472130f30aa0bfaf7f3980637
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/d5cb0afaf23b8520f1bbcfed521017b4a95f5c01/public/get-pip.py
PYTHON_PIP_VERSION22.3.1
PYTHON_SETUPTOOLS_VERSION65.5.1
PYTHON_VERSION3.11.2
[#000] sha256:1a65b089bc835b0c3700397b1935e97cf469b0891bb4de3942c8dfbe4b672d47 - 78.27% (1.29 GB)
[#001] sha256:c921d7eac594f5e3ce3ef10adb8fd0f71bdbb713c4854336b995d25f89c44d42 - 18.52% (313 MB)
[#002] sha256:8bca4593035ae0e8d1b6e6eb1b053fddc6a6824b28f45f99de726d752d2c0f72 - 0.0% (1.3 KB)
[#003] sha256:fcd97074c3f9b465d0ad8267ca2ad1662279ea7cc6464b4b890b784732671ae6 - 0.0% (1.38 KB)
[#004] sha256:60f1b2ac2abf4c00e18c5c1938870df98baf17a14c4c4b77901e34f8299e6a37 - 0.0% (1.34 KB)
[#005] sha256:c2fded7f7cd38442ead2a2c18b18920655e298ba823168ccafd6e836b789e070 - 2.87% (48.5 MB)
[#006] sha256:123ddbda3f518ee53e49407866c429f5c8b5fc7d5bc45ebad43d299e3658fba5 - 0.0% (1.4 KB)
[#007] sha256:28b0647c54da0622a29d5c82433557e7d3dd6672bec21ef3a19fb5deaba48384 - 0.0% (1.35 KB)
[#008] sha256:7279787233d5ba2412b6e93c1c30a6fcd082d3c88fbd14a58cb3f198be4cce2e - 0.0% (1.39 KB)
[#009] sha256:6f5b72e84bd5ead4715440ddfac68f66ffe2cb6842e3afbe41e7a9eec129022a - 0.0% (1.39 KB)
[#010] sha256:3675868aa3ef1ef0de11f582d9f3e0a79758f0905a237b74d30d2c1a22d5fca1 - 0.33% (5.64 MB)
[#011] sha256:89a53f626a06b1c9a1ff6372996c3eae33795ba6ff68cad41b639ca7b8636ae0 - 0.0% (1.39 KB)
Apply image 10.0.20348.1487
2023-03-10 06:37:36 UTCInstall update 10.0.20348.1607
2023-03-16 00:38:31 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2023-03-16 07:40:54 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHONIOENCODING=UTF-8
2023-03-16 07:49:19 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_VERSION=3.11.2
2023-03-16 07:50:55 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://www.python.org/ftp/python/{0}/python-{1}-amd64.exe' -f ($env:PYTHON_VERSION -replace '[a-z]+[0-9]*$', ''), $env:PYTHON_VERSION); Write-Host ('Downloading {0} ...' -f $url); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $url -OutFile 'python.exe'; Write-Host 'Installing ...'; $exitCode = (Start-Process python.exe -Wait -NoNewWindow -PassThru -ArgumentList @( '/quiet', 'InstallAllUsers=1', 'TargetDir=C:\Python', 'PrependPath=1', 'Shortcuts=0', 'Include_doc=0', 'Include_pip=0', 'Include_test=0' ) ).ExitCode; if ($exitCode -ne 0) { Write-Host ('Running python installer failed with exit code: {0}' -f $exitCode); Get-ChildItem $env:TEMP | Sort-Object -Descending -Property LastWriteTime | Select-Object -First 1 | Get-Content; exit $exitCode; } $env:PATH = [Environment]::GetEnvironmentVariable('PATH', [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ...'; Write-Host ' python --version'; python --version; Write-Host 'Removing ...'; Remove-Item python.exe -Force; Remove-Item $env:TEMP/Python*.log -Force; Write-Host 'Complete.'
2023-03-16 07:50:56 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_PIP_VERSION=22.3.1
2023-03-16 07:50:57 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_SETUPTOOLS_VERSION=65.5.1
2023-03-16 07:50:58 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/d5cb0afaf23b8520f1bbcfed521017b4a95f5c01/public/get-pip.py
2023-03-16 07:50:59 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_GET_PIP_SHA256=394be00f13fa1b9aaa47e911bdb59a09c3b2986472130f30aa0bfaf7f3980637
2023-03-16 07:52:22 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading get-pip.py ({0}) ...' -f $env:PYTHON_GET_PIP_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:PYTHON_GET_PIP_URL -OutFile 'get-pip.py'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:PYTHON_GET_PIP_SHA256); if ((Get-FileHash 'get-pip.py' -Algorithm sha256).Hash -ne $env:PYTHON_GET_PIP_SHA256) { Write-Host 'FAILED!'; exit 1; }; $env:PYTHONDONTWRITEBYTECODE = '1'; Write-Host ('Installing pip=={0} ...' -f $env:PYTHON_PIP_VERSION); python get-pip.py --disable-pip-version-check --no-cache-dir --no-compile ('pip=={0}' -f $env:PYTHON_PIP_VERSION) ('setuptools=={0}' -f $env:PYTHON_SETUPTOOLS_VERSION) ; Remove-Item get-pip.py -Force; Write-Host 'Verifying pip install ...'; pip --version; Write-Host 'Complete.'
2023-03-16 07:52:24 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["python"]
sha256:bd0b6885ac8866c5534bda8b46e9f2db907dfee1f62757f36522d7881ae9f866
2023-03-16 07:57:12 UTC
1.93 GB
UTF-8
PYTHON_GET_PIP_SHA256394be00f13fa1b9aaa47e911bdb59a09c3b2986472130f30aa0bfaf7f3980637
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/d5cb0afaf23b8520f1bbcfed521017b4a95f5c01/public/get-pip.py
PYTHON_PIP_VERSION22.3.1
PYTHON_SETUPTOOLS_VERSION65.5.1
PYTHON_VERSION3.11.2
[#000] sha256:6e222c5ada69382aa2b4fe30b23ae56c7e3ada92712109d20f3edd457a6120b6 - 82.51% (1.59 GB)
[#001] sha256:a92048040b3b13af10f8287baabaddbb2759dfc77b1fb43f89b38b3275467f93 - 14.76% (291 MB)
[#002] sha256:ec8e4e0836091bdd33e8adb56d1e13b8096550727a20534e2a2ab9298c86fa09 - 0.0% (1.39 KB)
[#003] sha256:6c4094309b399844400bfe1d658cc9fac1ea69d9e09b4c092316b19398eb1886 - 0.0% (1.38 KB)
[#004] sha256:892d5ff65eebc5664a239127ac7932c2b8c8475d6c5292969d09b3095488c2ab - 0.0% (1.36 KB)
[#005] sha256:7f80c0f8d774c5db379860b038974f502ccd6434c5ee704891c91e39c664c9e6 - 2.45% (48.3 MB)
[#006] sha256:5b0b878467851f55bf2b555b7a42de24be6954ff64cbdd80eb51077c49cd5d7f - 0.0% (1.39 KB)
[#007] sha256:40a88afc774086ef3121f1b24ed963de5d4ec126c23960a1a96f0778eaa3d652 - 0.0% (1.36 KB)
[#008] sha256:97b40ce3f19ce64289ac89f5a072bd9726d22ac8ee8f1fe3f20dfd489dc62bb0 - 0.0% (1.36 KB)
[#009] sha256:411c6a8e636815924977fe9623dcef85105506d597189afab3ae2a7e6e7f359f - 0.0% (1.39 KB)
[#010] sha256:8723e5288b71928abd34c4eb4f18060b2fcd388be4ebad9dfe6268a4515d87b2 - 0.27% (5.42 MB)
[#011] sha256:dfe160ed0f7c04ebbb833d5e7a5e2ac91b0a19576e1f7039e5d5872f429ffcaa - 0.0% (1.39 KB)
Apply image 10.0.17763.3887
2023-03-11 10:37:22 UTCInstall update 10.0.17763.4131
2023-03-16 00:41:18 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2023-03-16 07:44:11 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHONIOENCODING=UTF-8
2023-03-16 07:52:35 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_VERSION=3.11.2
2023-03-16 07:55:09 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://www.python.org/ftp/python/{0}/python-{1}-amd64.exe' -f ($env:PYTHON_VERSION -replace '[a-z]+[0-9]*$', ''), $env:PYTHON_VERSION); Write-Host ('Downloading {0} ...' -f $url); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $url -OutFile 'python.exe'; Write-Host 'Installing ...'; $exitCode = (Start-Process python.exe -Wait -NoNewWindow -PassThru -ArgumentList @( '/quiet', 'InstallAllUsers=1', 'TargetDir=C:\Python', 'PrependPath=1', 'Shortcuts=0', 'Include_doc=0', 'Include_pip=0', 'Include_test=0' ) ).ExitCode; if ($exitCode -ne 0) { Write-Host ('Running python installer failed with exit code: {0}' -f $exitCode); Get-ChildItem $env:TEMP | Sort-Object -Descending -Property LastWriteTime | Select-Object -First 1 | Get-Content; exit $exitCode; } $env:PATH = [Environment]::GetEnvironmentVariable('PATH', [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ...'; Write-Host ' python --version'; python --version; Write-Host 'Removing ...'; Remove-Item python.exe -Force; Remove-Item $env:TEMP/Python*.log -Force; Write-Host 'Complete.'
2023-03-16 07:55:11 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_PIP_VERSION=22.3.1
2023-03-16 07:55:13 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_SETUPTOOLS_VERSION=65.5.1
2023-03-16 07:55:15 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/d5cb0afaf23b8520f1bbcfed521017b4a95f5c01/public/get-pip.py
2023-03-16 07:55:16 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_GET_PIP_SHA256=394be00f13fa1b9aaa47e911bdb59a09c3b2986472130f30aa0bfaf7f3980637
2023-03-16 07:57:11 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading get-pip.py ({0}) ...' -f $env:PYTHON_GET_PIP_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:PYTHON_GET_PIP_URL -OutFile 'get-pip.py'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:PYTHON_GET_PIP_SHA256); if ((Get-FileHash 'get-pip.py' -Algorithm sha256).Hash -ne $env:PYTHON_GET_PIP_SHA256) { Write-Host 'FAILED!'; exit 1; }; $env:PYTHONDONTWRITEBYTECODE = '1'; Write-Host ('Installing pip=={0} ...' -f $env:PYTHON_PIP_VERSION); python get-pip.py --disable-pip-version-check --no-cache-dir --no-compile ('pip=={0}' -f $env:PYTHON_PIP_VERSION) ('setuptools=={0}' -f $env:PYTHON_SETUPTOOLS_VERSION) ; Remove-Item get-pip.py -Force; Write-Host 'Verifying pip install ...'; pip --version; Write-Host 'Complete.'
2023-03-16 07:57:12 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["python"]
sha256:ec9930dbc3a43c07f1237110cab2bc8a2b717c76498888a10556bdbb3fe63160
2023-03-25 02:42:54 UTC
309 MB
A035C8C19219BA821ECEA86B64E628F8D684696D
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256394be00f13fa1b9aaa47e911bdb59a09c3b2986472130f30aa0bfaf7f3980637
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/d5cb0afaf23b8520f1bbcfed521017b4a95f5c01/public/get-pip.py
PYTHON_PIP_VERSION22.3.1
PYTHON_SETUPTOOLS_VERSION65.5.1
PYTHON_VERSION3.11.2
[#000] sha256:9a8ea6c28ff9e1b5a437e1e5b168873207139672ec8d755939cad00b23349e22 - 16.2% (50.1 MB)
[#001] sha256:d00852ce883f7fbcff4479ad0b0000628b368d8aa60564817dce169671b17918 - 1.56% (4.84 MB)
[#002] sha256:2c5c618ff3524885afa62da82307b0b1a26b6205092117e3afce9d35a07fe89e - 3.26% (10.1 MB)
[#003] sha256:10a9126ff41e969805727f2704b9ba9277f66d9340e3b143719954d99d4a3ee7 - 16.13% (49.9 MB)
[#004] sha256:fdd4b88a9ee6fdb737884a5b5cdaf0f3cd84d9e49fca4b62c5192bc025089a16 - 53.94% (167 MB)
[#005] sha256:99a43f7fb057bf8e9649b20e480b5ac22da077c2b2a3f4ceb760427816a07886 - 1.86% (5.74 MB)
[#006] sha256:f67dbf81042a8dfb1608c5a193bce96a96aa8b8e75249bae4f43061d67f0cfb4 - 6.1% (18.9 MB)
[#007] sha256:1f6e7da80d1211c430130569ca5fb0cf520a0034b7c73b842ea23ca93e29ab7c - 0.0% (244 Bytes)
[#008] sha256:d1c229164251e614f91893cc329c7a8c5106ffa0791f2ea69b246d03cd41ec86 - 0.95% (2.94 MB)
/bin/sh -c #(nop) ADD file:8419f4bee11379b8aa511da1fe7cdcd6b2cb8c252bc90f76dec672a5b802ea27 in /
2023-03-23 00:48:37 UTC/bin/sh -c #(nop) CMD ["bash"]
2023-03-25 02:40:49 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2023-03-25 02:40:57 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2023-03-25 02:41:30 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2023-03-25 02:42:54 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2023-03-25 02:42:54 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-03-25 02:42:54 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2023-03-25 02:42:54 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev ; rm -rf /var/lib/apt/lists/* # buildkit
2023-03-25 02:42:54 UTC (buildkit.dockerfile.v0)ENV GPG_KEY=A035C8C19219BA821ECEA86B64E628F8D684696D
2023-03-25 02:42:54 UTC (buildkit.dockerfile.v0)ENV PYTHON_VERSION=3.11.2
2023-03-25 02:42:54 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz"; wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc"; GNUPGHOME="$(mktemp -d)"; export GNUPGHOME; gpg --batch --keyserver hkps://keys.openpgp.org --recv-keys "$GPG_KEY"; gpg --batch --verify python.tar.xz.asc python.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all || :; rm -rf "$GNUPGHOME" python.tar.xz.asc; mkdir -p /usr/src/python; tar --extract --directory /usr/src/python --strip-components=1 --file python.tar.xz; rm python.tar.xz; cd /usr/src/python; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-lto --with-system-expat --without-ensurepip ; nproc="$(nproc)"; EXTRA_CFLAGS="$(dpkg-buildflags --get CFLAGS)"; LDFLAGS="$(dpkg-buildflags --get LDFLAGS)"; make -j "$nproc" "EXTRA_CFLAGS=${EXTRA_CFLAGS:-}" "LDFLAGS=${LDFLAGS:-}" "PROFILE_TASK=${PROFILE_TASK:-}" ; rm python; make -j "$nproc" "EXTRA_CFLAGS=${EXTRA_CFLAGS:-}" "LDFLAGS=${LDFLAGS:--Wl},-rpath='\$\$ORIGIN/../lib'" "PROFILE_TASK=${PROFILE_TASK:-}" python ; make install; bin="$(readlink -ve /usr/local/bin/python3)"; dir="$(dirname "$bin")"; mkdir -p "/usr/share/gdb/auto-load/$dir"; cp -vL Tools/gdb/libpython.py "/usr/share/gdb/auto-load/$bin-gdb.py"; cd /; rm -rf /usr/src/python; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name 'libpython*.a' \) \) \) -exec rm -rf '{}' + ; ldconfig; python3 --version # buildkit
2023-03-25 02:42:54 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; for src in idle3 pydoc3 python3 python3-config; do dst="$(echo "$src" | tr -d 3)"; [ -s "/usr/local/bin/$src" ]; [ ! -e "/usr/local/bin/$dst" ]; ln -svT "$src" "/usr/local/bin/$dst"; done # buildkit
2023-03-25 02:42:54 UTC (buildkit.dockerfile.v0)ENV PYTHON_PIP_VERSION=22.3.1
2023-03-25 02:42:54 UTC (buildkit.dockerfile.v0)ENV PYTHON_SETUPTOOLS_VERSION=65.5.1
2023-03-25 02:42:54 UTC (buildkit.dockerfile.v0)ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/d5cb0afaf23b8520f1bbcfed521017b4a95f5c01/public/get-pip.py
2023-03-25 02:42:54 UTC (buildkit.dockerfile.v0)ENV PYTHON_GET_PIP_SHA256=394be00f13fa1b9aaa47e911bdb59a09c3b2986472130f30aa0bfaf7f3980637
2023-03-25 02:42:54 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum -c -; export PYTHONDONTWRITEBYTECODE=1; python get-pip.py --disable-pip-version-check --no-cache-dir --no-compile "pip==$PYTHON_PIP_VERSION" "setuptools==$PYTHON_SETUPTOOLS_VERSION" ; rm -f get-pip.py; pip --version # buildkit
2023-03-25 02:42:54 UTC (buildkit.dockerfile.v0)CMD ["python3"]
sha256:8b20e3dc56db2659de2120f5cc0f283e65cebca763352d9303721eab7412421d
2023-03-23 12:41:40 UTC
297 MB
A035C8C19219BA821ECEA86B64E628F8D684696D
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256394be00f13fa1b9aaa47e911bdb59a09c3b2986472130f30aa0bfaf7f3980637
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/d5cb0afaf23b8520f1bbcfed521017b4a95f5c01/public/get-pip.py
PYTHON_PIP_VERSION22.3.1
PYTHON_SETUPTOOLS_VERSION65.5.1
PYTHON_VERSION3.11.2
[#000] sha256:d50e868f9a626a3c456c0c52c3b013e87619bbac7798ac0c2acf2a2407303125 - 16.13% (47.9 MB)
[#001] sha256:6eca667140ff247fc759283fc9ff4cafbe304d1777ffc70e1bd593b63151c31a - 1.59% (4.71 MB)
[#002] sha256:1879c254431e9965afb23e55a148faffd29450a9218269f769be95d6e9673a93 - 3.28% (9.74 MB)
[#003] sha256:f64c4a1b9916f6da6f286835522f27f11a812694e5f878e87468d4c6b90b343e - 16.18% (48 MB)
[#004] sha256:5862d41b96b9b8c37267f9bb50226c9d63fc5a8df2310f511837355e187e090a - 53.74% (160 MB)
[#005] sha256:3495ed4bfddfa6a6f2e174613877064849b2563f7db09445ecc4afb9e9f9de4e - 1.83% (5.44 MB)
[#006] sha256:dcdd0ddc4481226f3d3318c541142fcd30d95e975ff73817a9646c25ba947171 - 6.27% (18.6 MB)
[#007] sha256:11ced03a2f0124c35c7071a0df1b8990376a026ca96bb2388327e579ac38cf77 - 0.0% (244 Bytes)
[#008] sha256:534512f2d274e3b5820a144a44dda3204108faf8b3bc4554eb5cf9ccac81ce51 - 0.99% (2.94 MB)
/bin/sh -c #(nop) ADD file:fa1cbfdd44274e571cabd5ca7fafa08b17c6f497ecfca6368a9eec4d2527a364 in /
2023-03-23 01:13:22 UTC/bin/sh -c #(nop) CMD ["bash"]
2023-03-23 12:40:14 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2023-03-23 12:40:19 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2023-03-23 12:40:37 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2023-03-23 12:41:40 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2023-03-23 12:41:40 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-03-23 12:41:40 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2023-03-23 12:41:40 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev ; rm -rf /var/lib/apt/lists/* # buildkit
2023-03-23 12:41:40 UTC (buildkit.dockerfile.v0)ENV GPG_KEY=A035C8C19219BA821ECEA86B64E628F8D684696D
2023-03-23 12:41:40 UTC (buildkit.dockerfile.v0)ENV PYTHON_VERSION=3.11.2
2023-03-23 12:41:40 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz"; wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc"; GNUPGHOME="$(mktemp -d)"; export GNUPGHOME; gpg --batch --keyserver hkps://keys.openpgp.org --recv-keys "$GPG_KEY"; gpg --batch --verify python.tar.xz.asc python.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all || :; rm -rf "$GNUPGHOME" python.tar.xz.asc; mkdir -p /usr/src/python; tar --extract --directory /usr/src/python --strip-components=1 --file python.tar.xz; rm python.tar.xz; cd /usr/src/python; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-lto --with-system-expat --without-ensurepip ; nproc="$(nproc)"; EXTRA_CFLAGS="$(dpkg-buildflags --get CFLAGS)"; LDFLAGS="$(dpkg-buildflags --get LDFLAGS)"; make -j "$nproc" "EXTRA_CFLAGS=${EXTRA_CFLAGS:-}" "LDFLAGS=${LDFLAGS:-}" "PROFILE_TASK=${PROFILE_TASK:-}" ; rm python; make -j "$nproc" "EXTRA_CFLAGS=${EXTRA_CFLAGS:-}" "LDFLAGS=${LDFLAGS:--Wl},-rpath='\$\$ORIGIN/../lib'" "PROFILE_TASK=${PROFILE_TASK:-}" python ; make install; bin="$(readlink -ve /usr/local/bin/python3)"; dir="$(dirname "$bin")"; mkdir -p "/usr/share/gdb/auto-load/$dir"; cp -vL Tools/gdb/libpython.py "/usr/share/gdb/auto-load/$bin-gdb.py"; cd /; rm -rf /usr/src/python; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name 'libpython*.a' \) \) \) -exec rm -rf '{}' + ; ldconfig; python3 --version # buildkit
2023-03-23 12:41:40 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; for src in idle3 pydoc3 python3 python3-config; do dst="$(echo "$src" | tr -d 3)"; [ -s "/usr/local/bin/$src" ]; [ ! -e "/usr/local/bin/$dst" ]; ln -svT "$src" "/usr/local/bin/$dst"; done # buildkit
2023-03-23 12:41:40 UTC (buildkit.dockerfile.v0)ENV PYTHON_PIP_VERSION=22.3.1
2023-03-23 12:41:40 UTC (buildkit.dockerfile.v0)ENV PYTHON_SETUPTOOLS_VERSION=65.5.1
2023-03-23 12:41:40 UTC (buildkit.dockerfile.v0)ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/d5cb0afaf23b8520f1bbcfed521017b4a95f5c01/public/get-pip.py
2023-03-23 12:41:40 UTC (buildkit.dockerfile.v0)ENV PYTHON_GET_PIP_SHA256=394be00f13fa1b9aaa47e911bdb59a09c3b2986472130f30aa0bfaf7f3980637
2023-03-23 12:41:40 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum -c -; export PYTHONDONTWRITEBYTECODE=1; python get-pip.py --disable-pip-version-check --no-cache-dir --no-compile "pip==$PYTHON_PIP_VERSION" "setuptools==$PYTHON_SETUPTOOLS_VERSION" ; rm -f get-pip.py; pip --version # buildkit
2023-03-23 12:41:40 UTC (buildkit.dockerfile.v0)CMD ["python3"]
sha256:74707af2d4ec537fd45394f8f6a9d93b1cd6b939f2dc942c2c09cdfa1e636102
2023-03-23 07:12:15 UTC
328 MB
A035C8C19219BA821ECEA86B64E628F8D684696D
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256394be00f13fa1b9aaa47e911bdb59a09c3b2986472130f30aa0bfaf7f3980637
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/d5cb0afaf23b8520f1bbcfed521017b4a95f5c01/public/get-pip.py
PYTHON_PIP_VERSION22.3.1
PYTHON_SETUPTOOLS_VERSION65.5.1
PYTHON_VERSION3.11.2
[#000] sha256:8022b074731d9ecee7f4fba79b993920973811dda168bbc08636f18523b90122 - 15.63% (51.2 MB)
[#001] sha256:7971239fe1d69763272ccc0b2527efa95547d37c53630ed0a71db4e00d3ef964 - 1.5% (4.91 MB)
[#002] sha256:26c861b53509d61c37240d2f80efb3a351d2f1d7f4f8e8ec2e5004c1d86af89c - 3.17% (10.4 MB)
[#003] sha256:1714880ecc1c021a5f708f4369f91d3c2c53b998a56d563d0a9aa9be2488d794 - 15.92% (52.1 MB)
[#004] sha256:895a945a1f9ba441c2748501c4d46569edfbc2bfbdb9b47d41e753e752247fdc - 55.23% (181 MB)
[#005] sha256:2a83fe9e3053a5f52e699f1078c2abeaad849bb81da9068f1aa541bb5673a21f - 1.86% (6.11 MB)
[#006] sha256:cad84c97de70ce8ac18eaca0f13ed88dd622a1ee17d4f47c88941116b83a8cac - 5.8% (19 MB)
[#007] sha256:317609cadfd3e8a9eb5393f8aae884de904c93391615b2eb841f17449709e1b5 - 0.0% (243 Bytes)
[#008] sha256:f756083c502e7d8ae0753f9c828624027c0b16b8d4a203c46929e9606b459ab9 - 0.9% (2.94 MB)
/bin/sh -c #(nop) ADD file:70d18f9eea4e4fbdb941e66490ccb7233e182fe7ded1185de91c7d55580dd13e in /
2023-03-23 00:45:02 UTC/bin/sh -c #(nop) CMD ["bash"]
2023-03-23 07:11:09 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2023-03-23 07:11:13 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2023-03-23 07:11:28 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2023-03-23 07:12:15 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2023-03-23 07:12:15 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-03-23 07:12:15 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2023-03-23 07:12:15 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev ; rm -rf /var/lib/apt/lists/* # buildkit
2023-03-23 07:12:15 UTC (buildkit.dockerfile.v0)ENV GPG_KEY=A035C8C19219BA821ECEA86B64E628F8D684696D
2023-03-23 07:12:15 UTC (buildkit.dockerfile.v0)ENV PYTHON_VERSION=3.11.2
2023-03-23 07:12:15 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz"; wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc"; GNUPGHOME="$(mktemp -d)"; export GNUPGHOME; gpg --batch --keyserver hkps://keys.openpgp.org --recv-keys "$GPG_KEY"; gpg --batch --verify python.tar.xz.asc python.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all || :; rm -rf "$GNUPGHOME" python.tar.xz.asc; mkdir -p /usr/src/python; tar --extract --directory /usr/src/python --strip-components=1 --file python.tar.xz; rm python.tar.xz; cd /usr/src/python; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-lto --with-system-expat --without-ensurepip ; nproc="$(nproc)"; EXTRA_CFLAGS="$(dpkg-buildflags --get CFLAGS)"; LDFLAGS="$(dpkg-buildflags --get LDFLAGS)"; make -j "$nproc" "EXTRA_CFLAGS=${EXTRA_CFLAGS:-}" "LDFLAGS=${LDFLAGS:-}" "PROFILE_TASK=${PROFILE_TASK:-}" ; rm python; make -j "$nproc" "EXTRA_CFLAGS=${EXTRA_CFLAGS:-}" "LDFLAGS=${LDFLAGS:--Wl},-rpath='\$\$ORIGIN/../lib'" "PROFILE_TASK=${PROFILE_TASK:-}" python ; make install; bin="$(readlink -ve /usr/local/bin/python3)"; dir="$(dirname "$bin")"; mkdir -p "/usr/share/gdb/auto-load/$dir"; cp -vL Tools/gdb/libpython.py "/usr/share/gdb/auto-load/$bin-gdb.py"; cd /; rm -rf /usr/src/python; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name 'libpython*.a' \) \) \) -exec rm -rf '{}' + ; ldconfig; python3 --version # buildkit
2023-03-23 07:12:15 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; for src in idle3 pydoc3 python3 python3-config; do dst="$(echo "$src" | tr -d 3)"; [ -s "/usr/local/bin/$src" ]; [ ! -e "/usr/local/bin/$dst" ]; ln -svT "$src" "/usr/local/bin/$dst"; done # buildkit
2023-03-23 07:12:15 UTC (buildkit.dockerfile.v0)ENV PYTHON_PIP_VERSION=22.3.1
2023-03-23 07:12:15 UTC (buildkit.dockerfile.v0)ENV PYTHON_SETUPTOOLS_VERSION=65.5.1
2023-03-23 07:12:15 UTC (buildkit.dockerfile.v0)ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/d5cb0afaf23b8520f1bbcfed521017b4a95f5c01/public/get-pip.py
2023-03-23 07:12:15 UTC (buildkit.dockerfile.v0)ENV PYTHON_GET_PIP_SHA256=394be00f13fa1b9aaa47e911bdb59a09c3b2986472130f30aa0bfaf7f3980637
2023-03-23 07:12:15 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum -c -; export PYTHONDONTWRITEBYTECODE=1; python get-pip.py --disable-pip-version-check --no-cache-dir --no-compile "pip==$PYTHON_PIP_VERSION" "setuptools==$PYTHON_SETUPTOOLS_VERSION" ; rm -f get-pip.py; pip --version # buildkit
2023-03-23 07:12:15 UTC (buildkit.dockerfile.v0)CMD ["python3"]
sha256:a19a42615347ce2ba8fd276a83a464b119ba2d89dcfe6513d3a09be0aacea028
2023-03-23 13:18:18 UTC
345 MB
A035C8C19219BA821ECEA86B64E628F8D684696D
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256394be00f13fa1b9aaa47e911bdb59a09c3b2986472130f30aa0bfaf7f3980637
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/d5cb0afaf23b8520f1bbcfed521017b4a95f5c01/public/get-pip.py
PYTHON_PIP_VERSION22.3.1
PYTHON_SETUPTOOLS_VERSION65.5.1
PYTHON_VERSION3.11.2
[#000] sha256:566bc84f2641b393ac5a2f4a2ca405c09943aa3ec679f38ea1588f6ee930219e - 16.31% (56.2 MB)
[#001] sha256:7805b891b319592a15b7da9a474b2f36e32ed9b8a720d14bbbe4d08422343b19 - 1.5% (5.16 MB)
[#002] sha256:7cdb7e2b62c4c7c555894be507d7ccaf7aeca0f8c9088a9082ad4cd37dc97f28 - 3.22% (11.1 MB)
[#003] sha256:ddac3f4f172050b21a6f17c30c60794779e7d5c150f1111240477b89240ad7f6 - 16.29% (56.1 MB)
[#004] sha256:bbc2fa2e478c864805494dbe6350071ba59af5a4f830abf55dc17559fb0228fa - 54.3% (187 MB)
[#005] sha256:2d4a8e58c914a3eb584995142828fc68fc451f36b10fcd80544f835072c3d26d - 1.95% (6.72 MB)
[#006] sha256:40aacae98a2d183b9939a064c48a46b4a75ebd55da266afed919f467c8eeb0c6 - 5.58% (19.2 MB)
[#007] sha256:027fb03792c79c5625e35f5d5244f478cc6edd9ab65728cb1b8f4c3e9ca3136e - 0.0% (242 Bytes)
[#008] sha256:09034e1af3ef0de6bf552a45ee6f85542686fc0fc6b1b28729b902a709719cc2 - 0.85% (2.94 MB)
/bin/sh -c #(nop) ADD file:3eb86af6fda22c3e84548a6d0039be04819ce464b2700e8d8c140be49530ff7c in /
2023-03-23 01:19:27 UTC/bin/sh -c #(nop) CMD ["bash"]
2023-03-23 13:15:18 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2023-03-23 13:15:30 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2023-03-23 13:16:06 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2023-03-23 13:18:18 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2023-03-23 13:18:18 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-03-23 13:18:18 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2023-03-23 13:18:18 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev ; rm -rf /var/lib/apt/lists/* # buildkit
2023-03-23 13:18:18 UTC (buildkit.dockerfile.v0)ENV GPG_KEY=A035C8C19219BA821ECEA86B64E628F8D684696D
2023-03-23 13:18:18 UTC (buildkit.dockerfile.v0)ENV PYTHON_VERSION=3.11.2
2023-03-23 13:18:18 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz"; wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc"; GNUPGHOME="$(mktemp -d)"; export GNUPGHOME; gpg --batch --keyserver hkps://keys.openpgp.org --recv-keys "$GPG_KEY"; gpg --batch --verify python.tar.xz.asc python.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all || :; rm -rf "$GNUPGHOME" python.tar.xz.asc; mkdir -p /usr/src/python; tar --extract --directory /usr/src/python --strip-components=1 --file python.tar.xz; rm python.tar.xz; cd /usr/src/python; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-lto --with-system-expat --without-ensurepip ; nproc="$(nproc)"; EXTRA_CFLAGS="$(dpkg-buildflags --get CFLAGS)"; LDFLAGS="$(dpkg-buildflags --get LDFLAGS)"; make -j "$nproc" "EXTRA_CFLAGS=${EXTRA_CFLAGS:-}" "LDFLAGS=${LDFLAGS:-}" "PROFILE_TASK=${PROFILE_TASK:-}" ; rm python; make -j "$nproc" "EXTRA_CFLAGS=${EXTRA_CFLAGS:-}" "LDFLAGS=${LDFLAGS:--Wl},-rpath='\$\$ORIGIN/../lib'" "PROFILE_TASK=${PROFILE_TASK:-}" python ; make install; bin="$(readlink -ve /usr/local/bin/python3)"; dir="$(dirname "$bin")"; mkdir -p "/usr/share/gdb/auto-load/$dir"; cp -vL Tools/gdb/libpython.py "/usr/share/gdb/auto-load/$bin-gdb.py"; cd /; rm -rf /usr/src/python; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name 'libpython*.a' \) \) \) -exec rm -rf '{}' + ; ldconfig; python3 --version # buildkit
2023-03-23 13:18:18 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; for src in idle3 pydoc3 python3 python3-config; do dst="$(echo "$src" | tr -d 3)"; [ -s "/usr/local/bin/$src" ]; [ ! -e "/usr/local/bin/$dst" ]; ln -svT "$src" "/usr/local/bin/$dst"; done # buildkit
2023-03-23 13:18:18 UTC (buildkit.dockerfile.v0)ENV PYTHON_PIP_VERSION=22.3.1
2023-03-23 13:18:18 UTC (buildkit.dockerfile.v0)ENV PYTHON_SETUPTOOLS_VERSION=65.5.1
2023-03-23 13:18:18 UTC (buildkit.dockerfile.v0)ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/d5cb0afaf23b8520f1bbcfed521017b4a95f5c01/public/get-pip.py
2023-03-23 13:18:18 UTC (buildkit.dockerfile.v0)ENV PYTHON_GET_PIP_SHA256=394be00f13fa1b9aaa47e911bdb59a09c3b2986472130f30aa0bfaf7f3980637
2023-03-23 13:18:18 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum -c -; export PYTHONDONTWRITEBYTECODE=1; python get-pip.py --disable-pip-version-check --no-cache-dir --no-compile "pip==$PYTHON_PIP_VERSION" "setuptools==$PYTHON_SETUPTOOLS_VERSION" ; rm -f get-pip.py; pip --version # buildkit
2023-03-23 13:18:18 UTC (buildkit.dockerfile.v0)CMD ["python3"]
sha256:f4b8c8194d93e14c57ff14431d4e64560275635a104b152c6cb606469c1435ee
2023-03-23 07:17:19 UTC
310 MB
A035C8C19219BA821ECEA86B64E628F8D684696D
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256394be00f13fa1b9aaa47e911bdb59a09c3b2986472130f30aa0bfaf7f3980637
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/d5cb0afaf23b8520f1bbcfed521017b4a95f5c01/public/get-pip.py
PYTHON_PIP_VERSION22.3.1
PYTHON_SETUPTOOLS_VERSION65.5.1
PYTHON_VERSION3.11.2
[#000] sha256:00dac46cbc44f444bd1dffe5b00a1b239054295b96f7984793273e9d12e75591 - 16.36% (50.8 MB)
[#001] sha256:8741429c69114ba5f22b55ea82d8d87b7989cf484d62adbfa5c0ba6de6357b21 - 1.58% (4.91 MB)
[#002] sha256:61624dbb1da6793437bb4935c0227381499e8adf3e15f88b7ef1d2985734793b - 3.31% (10.3 MB)
[#003] sha256:bbec62cec196399e737230db2a8017f3ffdac7019f3ff6c06eebddf18c7535c9 - 16.61% (51.6 MB)
[#004] sha256:990ddbd9fac235f3814a472aef298847d2fe6d437cf66e730ae973bed7cf63b8 - 53.08% (165 MB)
[#005] sha256:cd502e24ebdc208bc2dec308a372cc0f4082f956575adc2f36a2e5f057ff951b - 1.92% (5.95 MB)
[#006] sha256:b18fbba39a9a0ef79a9e145d961a2f9af064365867f9350d60026a29f57cc1ca - 6.2% (19.2 MB)
[#007] sha256:06f56dbf3fb94c9774af512d268819e7bf2ff05e40b67615459eb0ac996fd43b - 0.0% (244 Bytes)
[#008] sha256:15ec36a6a79c26e7ee7a3e9e3eb2725966b6f2f0e64d7d7a892ea200a6e5d0ea - 0.95% (2.94 MB)
/bin/sh -c #(nop) ADD file:1111f9325245c8edccf2d9480c39cf2368f783ad86c2700d452be4e8cbebef8a in /
2023-03-23 00:43:54 UTC/bin/sh -c #(nop) CMD ["bash"]
2023-03-23 07:16:13 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2023-03-23 07:16:17 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2023-03-23 07:16:34 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2023-03-23 07:17:19 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2023-03-23 07:17:19 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-03-23 07:17:19 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2023-03-23 07:17:19 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev ; rm -rf /var/lib/apt/lists/* # buildkit
2023-03-23 07:17:19 UTC (buildkit.dockerfile.v0)ENV GPG_KEY=A035C8C19219BA821ECEA86B64E628F8D684696D
2023-03-23 07:17:19 UTC (buildkit.dockerfile.v0)ENV PYTHON_VERSION=3.11.2
2023-03-23 07:17:19 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz"; wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc"; GNUPGHOME="$(mktemp -d)"; export GNUPGHOME; gpg --batch --keyserver hkps://keys.openpgp.org --recv-keys "$GPG_KEY"; gpg --batch --verify python.tar.xz.asc python.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all || :; rm -rf "$GNUPGHOME" python.tar.xz.asc; mkdir -p /usr/src/python; tar --extract --directory /usr/src/python --strip-components=1 --file python.tar.xz; rm python.tar.xz; cd /usr/src/python; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-lto --with-system-expat --without-ensurepip ; nproc="$(nproc)"; EXTRA_CFLAGS="$(dpkg-buildflags --get CFLAGS)"; LDFLAGS="$(dpkg-buildflags --get LDFLAGS)"; make -j "$nproc" "EXTRA_CFLAGS=${EXTRA_CFLAGS:-}" "LDFLAGS=${LDFLAGS:-}" "PROFILE_TASK=${PROFILE_TASK:-}" ; rm python; make -j "$nproc" "EXTRA_CFLAGS=${EXTRA_CFLAGS:-}" "LDFLAGS=${LDFLAGS:--Wl},-rpath='\$\$ORIGIN/../lib'" "PROFILE_TASK=${PROFILE_TASK:-}" python ; make install; bin="$(readlink -ve /usr/local/bin/python3)"; dir="$(dirname "$bin")"; mkdir -p "/usr/share/gdb/auto-load/$dir"; cp -vL Tools/gdb/libpython.py "/usr/share/gdb/auto-load/$bin-gdb.py"; cd /; rm -rf /usr/src/python; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name 'libpython*.a' \) \) \) -exec rm -rf '{}' + ; ldconfig; python3 --version # buildkit
2023-03-23 07:17:19 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; for src in idle3 pydoc3 python3 python3-config; do dst="$(echo "$src" | tr -d 3)"; [ -s "/usr/local/bin/$src" ]; [ ! -e "/usr/local/bin/$dst" ]; ln -svT "$src" "/usr/local/bin/$dst"; done # buildkit
2023-03-23 07:17:19 UTC (buildkit.dockerfile.v0)ENV PYTHON_PIP_VERSION=22.3.1
2023-03-23 07:17:19 UTC (buildkit.dockerfile.v0)ENV PYTHON_SETUPTOOLS_VERSION=65.5.1
2023-03-23 07:17:19 UTC (buildkit.dockerfile.v0)ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/d5cb0afaf23b8520f1bbcfed521017b4a95f5c01/public/get-pip.py
2023-03-23 07:17:19 UTC (buildkit.dockerfile.v0)ENV PYTHON_GET_PIP_SHA256=394be00f13fa1b9aaa47e911bdb59a09c3b2986472130f30aa0bfaf7f3980637
2023-03-23 07:17:19 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum -c -; export PYTHONDONTWRITEBYTECODE=1; python get-pip.py --disable-pip-version-check --no-cache-dir --no-compile "pip==$PYTHON_PIP_VERSION" "setuptools==$PYTHON_SETUPTOOLS_VERSION" ; rm -f get-pip.py; pip --version # buildkit
2023-03-23 07:17:19 UTC (buildkit.dockerfile.v0)CMD ["python3"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.